## checkbox 0.18-0ubuntu2

=== debian/changelog ===
checkbox (0.18-0ubuntu2) utopic; urgency=medium

  * setup.py: Only build the checkbox-old subdirectory, as nothing else
    is required for this package. This avoids a build-depends on
    python3-checkbox-support which is required by checkbox-ng (which we then
    don't package).
  * debian/rules: Per the above, don't run tests for plainbox or checkbox-ng.

 -- Daniel Manrique <roadmr@ubuntu.com>  Wed, 20 Aug 2014 15:54:21 -0400

checkbox (0.18-0ubuntu1) utopic; urgency=medium

  * New upstream release

  * Launchpad automatic translations update.

  [ Yung Shen ]
  * make "success" as a "updater" property so can use in other dialog

  [ Zygmunt Krynicki ]
  * checkbox-gui: fix my own copy-paste mistake
  * checkbox-gui: debugging for FilteredJobs()
  * checkbox-gui: fix resource jobs (and other jobs) to run This patch
    removes the useless (and broken) second-level filtering done by
    PrepareJobs(). (LP: #1302388)
  * checkbox-gui:gui-engine: correct copy-pasted mistake
  * checkbox-gui:testitemmodel: rewrite GetSelectedVisibleJobs This
    patch cleans up the horrid coding style, needless whitespace
    needless local variables and improves the diagnostic messages for,
    hopefully, better readability. The algorithm is identical as
    before.
  * checkbox-gui:testitemmodel: rewrite GetSelectedRerunJobs This
    patch cleans up the horrid coding style, needless whitespace
    needless local variables and improves the diagnostic messages for,
    hopefully, better readability. The algorithm is identical as
    before.
  * checkbox-gui:testitemmodel: rewrite GetSelectedRealJobs This patch
    cleans up the horrid coding style, needless whitespace needless
    local variables and improves the diagnostic messages for,
    hopefully, better readability. The algorithm is identical as
    before.
  * checkbox-gui:testitemmodel: use partial_id for logging
  * checkbox-gui:testitemmodel: store partial_id
  * checkbox-gui:testitemmodel: remove useless variable 'human'
  * checkbox-gui: KHAAAAAAAAAAAAAAAAAAAAN This patch removes William-
    Shatner-Kirk-style pauses between every other ... line for better
    readability, as I hope you agree.
  * checkbox-gui: display resource jobs as if they were normal jobs
    This patch changes TestItemModel::GetSelectedVisibleJobs() not to
    treat resource jobs in any special way. In fact, after the removal
    of the resource job check the function has no special behavior of
    any kind.
  * checkbox-gui: re-run resource jobs as if they were normal jobs
    This patch changes TestItemModel::GetSelectedRerunJobs not to
    treat resource jobs in any special way. This allows them to be re-
    run on demand.
  * checkbox-gui: run resource jobs as if they were normal jobs This
    patch changes TestItemModel::GetSelectedRealJobs() not to treat
    resource jobs in any special way. The function still treats local
    jobs specially though. (LP: #1302388)
  * checkbox-gui: treat 'resource' jobs as human-visible
  * checkbox-gui: more missing i18n (though ugly)
  * chcekbox-gui: fix typos
  * checkbox-gui: fix job type comparison. This patch changes how
    setListSummary() counts manual vs other type of tests. (LP: #1319327)
  * checkbox-gui: treat user-interact-verify as as manual (LP: #1319347)
  * checkbox-gui:gui-engine: add support for app_id

  [ Brendan Donegan ]
  * checkbox-gui: Display summary where possible, otherwise partial_id
    To make the UI of plainbox based tools consistent, let's use
    summary when displaying jobs. However these is currently no
    guarantee summary is there for any particular job, so we need to
    fall back to using partial_id. To keep behaviour consistent, local
    jobs should fall back to using description instead of partial_id.
  * checkbox-gui: Allow user to save both XML and XLSX reports to
    preffered location Add to the SubmissionDialog an OptionSelector
    and a Button, containing the option to save either the XML or the
    XLSX format report to a user-specified location.
  * checkbox-gui: move save of reports to when the test run finishes
  * checkbox-gui: Export submission as XLSX file as well
  * checkbox-gui: Use partial_id for job names in UI
  * checkbox-gui: Submit to Launchpad Update SubmissionDialog.qml to
    make sending to Launchpad the default behaviour, and add a
    SendSubmissionViaLaunchpadTransport function to do this. Update
    SendDataViaTransport to accept the session object which is needed
    by the transport.
  * checkbox-gui: Customise the SubmissionDialog component according
    to settings Use a settings file to customise the behaviour of the
    SubmissionDialog component. Also implement the Certification
    transport so that we can send submissions to
    certification.canonical.com
  * checkbox-gui: Implement whitelist ordering Refactor the logic used
    by checkbox-gui to select which jobs to run. Instead of manually
    cross-referencing the jobs available with the whitelists selected,
    use SelectJobs to do the same thing, but guarantee the jobs are
    returned in whitelist order. Also slightly tweak some bits of code
    so that this order is always retained throughout the process, up
    until the final run list is generated.

  [ Sylvain Pineau ]
  * checkbox-gui:gui-engine: Restore whitelist ordering Using the test
    selection as the mask for the desired job list. (The same sort of
    fix applied to checkbox-ng) (LP: #1323201)
  * checkbox-gui:gui-engine: Does not assume that the failed job is
    the first one in the rerun list When resuming a session, the
    running job saved in session meta data can be set as failed. To
    avoid rerunning it, let's not assume it comes first in the rerun
    list.
  * checkbox-gui:gui-engine.cpp: Call RefreshPBObjects() when resuming
    a session (LP: #1315337)
  * checkbox-gui:qml:SubmissionDialog: Enable all xlsx export options
    by default - System Info - Test Results - Test descriptions -


## checkbox 0.18-0ubuntu3

=== checkbox-touch/Makefile ===
# More information: https://wiki.ubuntu.com/Touch/Testing
#
# Notes for autopilot tests:
# -----------------------------------------------------------
# In order to run autopilot tests:
# sudo apt-add-repository ppa:autopilot/ppa
# sudo apt-get update
# sudo apt-get install python-autopilot autopilot-qt
#############################################################

all:

autopilot:
	chmod +x tests/autopilot/run
	tests/autopilot/run

check:
	qmltestrunner -input tests/unit

run:
	/usr/bin/qmlscene $@ main.qml

=== debian/changelog ===
checkbox (0.18-0ubuntu3) wily; urgency=medium

  * debian/patches/fix-lp1483410-part1: Correct the method of loading unit
    tests so that package modules are not loaded as top-level modules
    themselves.  (Closes LP: #1483410)
  * debian/patches/fix-lp1483410-part2: Iterate over a copy of dictionary keys
    so that the loop can correctly remove elements without raising exceptions.
  * debian/control: build-depend on python3-dbus and python3-gi as apparently
    tests are importing modules that depend on those.

 -- Sylvain Pineau <sylvain.pineau@canonical.com>  Mon, 07 Sep 2015 17:49:56 +0200

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# Prevent setuptools/distribute from accessing the internet.
export http_proxy=http://127.0.9.1:9

REL_NO	:= $(shell lsb_release -rs)
RELEASE_GTE_RARING	:= $(shell expr $(REL_NO) \>= 13.04)
%:
	dh "$@" --with python3,translations

override_dh_auto_clean:
	rm -rf $(CURDIR)/plainbox/build
	rm -rf $(CURDIR)/plainbox/*.egg-info
	rm -rf $(CURDIR)/checkbox/build
	rm -rf $(CURDIR)/checkbox/*.egg-info
	rm -rf $(CURDIR)/checkbox-ng/build
	rm -rf $(CURDIR)/checkbox-ng/*.egg-info
	rm -rf $(CURDIR)/checkbox-ng/*.egg-link
	rm -rf $(CURDIR)/plainbox-provider*/*.egg-info
	-find . -name \*.mo -exec rm {} \;
	-rm -f debian/checkbox-cli.postrm debian/checkbox-qt.postrm debian/checkbox-hw-collection.postrm
	debconf-updatepo
	dh_clean

override_dh_auto_build:
ifeq (1,$(RELEASE_GTE_RARING))
	# funcsigs.Signature (the backport) is part of the Python standard library,
	# available as inspect.Signature in Python 3.3 onwards.
	rm -rf $(CURDIR)/plainbox/plainbox/vendor/funcsigs
	# mock is now part of the Python standard library, available as
	# unittest.mock in Python 3.3 onwards.
	echo "from unittest.mock import *" > $(CURDIR)/plainbox/plainbox/vendor/mock.py
	dh_quilt_patch
endif
	cd $(CURDIR)/checkbox-gui && qmake PREFIX=/usr && make
	python3 setup.py build

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# drop LD_PRELOAD to avoid running under fakeroot; drop TMPDIR to work
	# around LP#972324 (set by autopkgtest)
	cd $(CURDIR)/checkbox-old && env -u LD_PRELOAD -u TMPDIR CHECKBOX_PACKAGING=1 ./setup.py test -vv
	rm -rf  $(CURDIR)/checkbox-old/scripts/__pycache__
	#ROADMR cd $(CURDIR)/plainbox && ./setup.py test -vv
	# checkbox-ng requires plainbox to be installed, let's just use the develop
	# mode and create an egg-link to the plainbox source
	# ROADMR cd $(CURDIR)/plainbox && PYTHONPATH=$(CURDIR)/checkbox-ng ./setup.py develop -d $(CURDIR)/checkbox-ng
	# ROADMR cd $(CURDIR)/checkbox-ng && ./setup.py test -vv
endif

override_dh_auto_install:
	python3 setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/checkbox/bin/
	cp -R $(CURDIR)/debian/tmp/usr/share/checkbox/scripts/* $(CURDIR)/debian/tmp/usr/lib/checkbox/bin/
	cd $(CURDIR)/checkbox-gui && make INSTALL_ROOT=$(CURDIR)/debian/tmp install
	dh_install

override_dh_installdocs:
	# This is tricky, dh_installdirs installs stuff to the first package in
	# debian/control, ensure that's the -doc package.
	dh_installdocs -pcheckbox ./checkbox-old/README
	dh_installdocs -pcheckbox-cli ./checkbox-old/README
	dh_installdocs -pcheckbox-qt ./checkbox-old/README
	dh_installdocs -pcheckbox-hw-collection ./checkbox-old/README
	dh_installdocs

override_dh_python3:
	# dh_python3 runs automatically on packages with the python3- prefix
	# let's not forget plainbox
	dh_python3 --package=plainbox
	dh_python3 --no-package=checkbox-gui

override_dh_installdeb:
	dh_installdeb

## checkbox 1.2.4

=== Makefile ===
# More information: https://wiki.ubuntu.com/Touch/Testing
#
# Notes for autopilot tests:
# -----------------------------------------------------------
# In order to run autopilot tests:
# sudo apt-add-repository ppa:autopilot/ppa
# sudo apt-get update
# sudo apt-get install python-autopilot autopilot-qt
#############################################################

TRANSLATION_ROOT=.

APP_ID=com.ubuntu.checkbox

MO_FILES=$(foreach infile,$(basename $(notdir $(wildcard ./po/*.po))),$(TRANSLATION_ROOT)/share/locale/$(infile)/LC_MESSAGES/$(APP_ID).mo)
QMLJS_FILES:=$(shell find . -name "*.qml" -o -name "*.js" | grep -v ./tests)
PY_FILES=$(wildcard ./py/*.py) build-me get-libs

all:

autopilot:
	./get-libs
	chmod +x tests/autopilot/run
	tests/autopilot/run

check:
	qmltestrunner -qt=5 -input tests/unit

run:
	/usr/bin/qmlscene $@ checkbox-touch.qml

build-translations: $(MO_FILES)
	echo $(MO_FILES)

po:
	mkdir -p $(CURDIR)/po

po/checkbox-touch.pot: $(QMLJS_FILES) $(PY_FILES) | po
	xgettext -o po/checkbox-touch.pot --qt --c++ --add-comments=TRANSLATORS --keyword=tr --keyword=tr:1,2 $(QMLJS_FILES) --from-code=UTF-8
	xgettext -o po/checkbox-touch.pot --join-existing --language=python --add-comments=TRANSLATORS --keyword=_ --keyword=N_ $(PY_FILES)


$(TRANSLATION_ROOT)/share/locale/%/LC_MESSAGES/$(APP_ID).mo: po/%.po
	mkdir -p $(TRANSLATION_ROOT)/share/locale/$*/LC_MESSAGES && msgfmt -o $@ $^

=== debian/changelog ===
checkbox (1.2.4-0ubuntu1) xenial; urgency=medium

  [Sylvain Pineau]
  * New upstream release from the checkbox-converged source tarball.
  * checkbox-converged is now used for desktop instead of checkbox-gui.
  * checkbox-old is removed from source.
  * Transitional packages for checkbox, checkbox-cli, checkbox-qt and
    checkbox-gui.

 -- Sylvain Pineau <sylvain.pineau@canonical.com>  Mon, 11 Jan 2016 21:11:59 +0100

checkbox (0.18-0ubuntu4) xenial; urgency=high

  * Do not modify OrderedDict whilst iterating it, wrap in list.
  * Work around setuptools foobarage w.r.t. test discovery (tries to
    import submodule instead of a system one), and use unittest directly.
  * Drop qt5 3d, demoted to universe.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Dec 2015 14:58:48 +0000

=== debian/control ===
Source: checkbox
Section: oldlibs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Checkbox Developers <checkbox-devel@lists.ubuntu.com>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9.2)
Vcs-Bzr: https://code.launchpad.net/~checkbox-dev/checkbox/trunk

Package: checkbox-converged
Architecture: all
Depends: plainbox-provider-checkbox,
         pyotherside,
         python3,
         python3-plainbox (>= 0.24),
         qml-module-qtquick-layouts,
         qmlscene,
         qtdeclarative5-dev-tools,
         qtdeclarative5-test-plugin,
         qtdeclarative5-ubuntu-ui-toolkit-plugin,
         ${misc:Depends}
Description: testing tool for all Ubuntu devices
 This tool helps to test devices ranging from desktops to phones.

Package: checkbox
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, python3-checkbox-ng
Description: System testing application (transitional package)
 This is a transitional dummy package to allow upgrading from old releases.
 If nothing depends on it, this package can be safely removed after upgrade.

Package: checkbox-cli
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, checkbox-ng
Description: Command line interface for checkbox (transitional package)
 This is a transitional dummy package to allow upgrading from old releases.
 If nothing depends on it, this package can be safely removed after upgrade.

Package: checkbox-qt
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, checkbox-converged
Description: QT4 interface for checkbox (transitional package)
 This is a transitional dummy package to allow upgrading from old releases.
 If nothing depends on it, this package can be safely removed after upgrade.

Package: checkbox-gui
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, checkbox-converged
Description: QML based interface for checkbox (transitional package)
 This is a transitional dummy package to allow upgrading from old releases.
 If nothing depends on it, this package can be safely removed after upgrade.

=== debian/rules ===
#!/usr/bin/make -f
export LANG=
export LANGUAGE=

%:
	dh $@

override_dh_auto_test:
	:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
    http://launchpad.net/checkbox-converged/+download/ \
    https://launchpad\.net/checkbox-converged/.*/.*/\+download/checkbox-converged-(.*).tar.gz
